%define upstream_name    String-Clean
%define upstream_version 0.031

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Clean up for Cross Site Scripting (XSS)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Assert::More)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Any)
BuildArch: noarch

%description
Clean strings to protect from XSS attacks.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.31.0-8.mga8
+ Revision: 1497219
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.31.0-7.mga7
+ Revision: 1271227
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.31.0-6.mga6
+ Revision: 1033351
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.31.0-5.mga6
+ Revision: 946851
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.31.0-4.mga5
+ Revision: 750400
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.31.0-3.mga5
+ Revision: 686237
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.31.0-2.mga4
+ Revision: 525715
- Mageia 4 Mass Rebuild

* Sat Jun 01 2013 shlomif <shlomif> 0.31.0-1.mga4
+ Revision: 434247
- Fix description
- imported package perl-String-Clean


* Sat Jun 01 2013 cpan2dist 0.031-1mga
- initial mageia release, generated with cpan2dist
